choix = 0
gris1 = Color.new(220,220,220)
selecteur = 0
option1 = Image.load("IMG/CURSEURS/1.png")
option2 = Image.load("IMG/CURSEURS/2.png")
option3 = Image.load("IMG/CURSEURS/3.png")
option4 = Image.load("IMG/CURSEURS/4.png")
selecteur_img = Image.load("IMG/selector.png")
while true do
screen:clear()
pad = Controls.read()

position_selecteur_wall_y = 0-selecteur*50

screen:blit(0,position_selecteur_wall_y+selecteur*80+26-158,selecteur_img,0,0,480,79)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26-79,selecteur_img)
screen:blit(0,position_selecteur_wall_y+selecteur*80+26+79,selecteur_img,0,0,480,79)

screen:blit(5,position_selecteur_wall_y+28,option1)
screen:fontPrint(font,85,position_selecteur_wall_y+46,"Rouge",gris1)
screen:blit(5,position_selecteur_wall_y+108,option2)
screen:fontPrint(font,85,position_selecteur_wall_y+126,"Orange",gris1)
screen:blit(5,position_selecteur_wall_y+188,option3)
screen:fontPrint(font,85,position_selecteur_wall_y+206,"Bleu océan",gris1)
screen:blit(5,position_selecteur_wall_y+268,option4)
screen:fontPrint(font,85,position_selecteur_wall_y+286,"Vert",gris1)

if selecteur < 3 then
 if pad:down() and not oldpad:down() or pad:analogY()>60 then
  selecteur=selecteur+1
 end
end

if selecteur > 0 then
 if pad:up() and not oldpad:up() or pad:analogY()<-60 then
  selecteur=selecteur-1
 end
end 

if pad:cross() and not oldpad:cross() then
 fichier = io.open("ms0:/psp/game/Android/img/curseurs/options.ini","w")
 if selecteur == 0 then
  fichier:write("curseur_choisis = '1.png'")
 elseif selecteur == 1 then
  fichier:write("curseur_choisis = '2.png'")
 elseif selecteur == 2 then
  fichier:write("curseur_choisis = '3.png'")
 elseif selecteur == 3 then
  fichier:write("curseur_choisis = '4.png'")
 end
 fichier:close()
 Android:Quitter()
end

if pad:triangle() and not oldpad:triangle() and help==false then
 help=true
elseif pad:triangle() and not oldpad:triangle() and help==true then
 help=false
end
if help == true then
 System.message("Aide\n"..
                "Pour valider un choix, appuyez sur croix.\n"..
                "Pour retourner au menu precedent, appuyez sur rond.\n",0)
 help = false
end

if pad:circle() and not oldpad:circle() then 
 dofile("APPS/Parametres/curseur.lua")
end
Android:Barre()
screen.flip()
screen.waitVblankStart()
oldpad = pad
end
